<?php

/*
 *
 * BUTTON LOCATION
 *
 * */

Redux::setSection( $opt_name, array(
	'title'            => __( 'Button Location', 'scrollToTopButtonAwesome' ),
	'id'               => 'button-location',
	'desc'             => __( 'Change the button location where you want to place.', 'scrollToTopButtonAwesome' ),
	'customizer_width' => '400px',
	'icon'             => 'el el-adjust-alt',
	'fields'           => array(
		array(
			'id'       => 'button-horizontal-align',
			'type'     => 'button_set',
			'title'    => __( 'Horizontal Alignment', 'scrollToTopButtonAwesome' ),
			'subtitle' => __( 'Align the button left, center and right.', 'scrollToTopButtonAwesome' ),
			'options'  => array(
				'left'   => __( 'Left', 'scrollToTopButtonAwesome' ),
				'center' => __( 'Center', 'scrollToTopButtonAwesome' ),
				'right'  => __( 'Right', 'scrollToTopButtonAwesome' ),
			),
			'default'  => 'right',
		),
		array(
			'id'       => 'button-vertical-align',
			'type'     => 'button_set',
			'title'    => __( 'Vertical Alignment', 'scrollToTopButtonAwesome' ),
			'subtitle' => __( 'Align the button top and bottom.', 'scrollToTopButtonAwesome' ),
			'options'  => array(
				'top'    => __( 'Top', 'scrollToTopButtonAwesome' ),
				'bottom' => __( 'Bottom', 'scrollToTopButtonAwesome' ),
			),
			'default'  => 'bottom',
		),
		array(
			'id'             => 'button-horizontal-distance',
			'type'           => 'dimensions',
			'units'          => array( 'em', 'px', '%' ),
			'units_extended' => 'true',
			'height'         => false,
			'title'          => __( 'Horizontal Distance', 'scrollToTopButtonAwesome' ),
			'subtitle'       => __( 'Distance from edge (px margin).', 'scrollToTopButtonAwesome' ),
			"default"        => array(
				'width' => '0px',
			),
		),
		array(
			'id'             => 'button-vertical-distance',
			'type'           => 'dimensions',
			'units'          => array( 'em', 'px', '%' ),
			'units_extended' => 'true',
			'width'          => false,
			'title'          => __( 'Vertical Distance', 'scrollToTopButtonAwesome' ),
			'subtitle'       => __( 'Distance from edge (px margin).', 'scrollToTopButtonAwesome' ),
			"default"        => array(
				'height' => '0px',
			),
		),
	),
) );